Du bist nicht angemeldet.

Eine Antwort schreiben

Schreibe deinen Beitrag und versende ihn
Beitragsoptionen
Deine Antwort

Zurück

Themen-Übersicht (Neuester Beitrag zuerst)

schard
05.12.2019 17:28:49

Wenn makepkg nicht über ein fehlendes python-gobject meckert, aber Python gi nicht importieren kann, riecht das für mich nach einem partiellen Upgrade.
Bitte poste ein vollständiges pacman.log.
Bitte gib auch die Ausgabe von

pacman -Ql python-gobject

auf dem betreffenden System an.

The Hit-Man
05.12.2019 17:28:36

ja, python3 ist drauf ...

Hans im Glück
05.12.2019 17:24:33

python 3.8.0-1 aus extra ist aber installiert?

Hans im Glück
05.12.2019 17:22:07

Muss eventuell an deinem Desktop liegen, habe auch Zim, aktuelle Version inklusive aller Updates.
Selbst : Cinnamon

The Hit-Man
05.12.2019 17:20:52

hat aber auch nichts gebracht ...

==> Beginne pkgver()...
==> Entferne existierendes $pkgdir/ Verzeichnis...
==> Beginne build()...
==> Betrete fakeroot Umgebung...
==> Beginne package()...
Traceback (most recent call last):
  File "setup.py", line 25, in <module>
    import makeman # helper script
  File "/home/u0/develop/i686/zim-git/src/zim-git/makeman.py", line 13, in <module>
    from zim.main import HelpCommand
  File "/home/u0/develop/i686/zim-git/src/zim-git/zim/main/__init__.py", line 22, in <module>
    import zim.fs
  File "/home/u0/develop/i686/zim-git/src/zim-git/zim/fs.py", line 27, in <module>
    from zim.signals import SignalEmitter, SIGNAL_AFTER
  File "/home/u0/develop/i686/zim-git/src/zim-git/zim/signals.py", line 7, in <module>
    from gi.repository import GObject
ModuleNotFoundError: No module named 'gi'
==> FEHLER: Ein Fehler geschah in package().
    Breche ab...
:: Unable to build zim-git - makepkg exited with code: 4
=>> Try again? [y/N]: 
The Hit-Man
05.12.2019 17:19:02

mhmmmm, hat auch nichts gebracht ... vielleicht mal die git version benutzen.

Hans im Glück
05.12.2019 17:17:04

Dann deinstallieren und neuinstallieren...
Fällt mir sonst auch nichts im Moment ein.

The Hit-Man
05.12.2019 17:13:36

leider nein, noch immer das gleiche problem sad

Hans im Glück
05.12.2019 17:07:40

sudo pacman -Qi zim
Name                     : zim
Version                  : 0.72.0-2
Beschreibung             : A WYSIWYG text editor that aims at bringing the
                           concept of a wiki to the desktop.
Architektur              : any
URL                      : https://zim-wiki.org/
Lizenzen                 : GPL  PerlArtistic
Gruppen                  : Nichts
Stellt bereit            : Nichts
Hängt ab von             : python  python-gobject  ttf-font  gtk3  python-xdg
Optionale Abhängigkeiten : bzr: Version Control plugin [Installiert]
                           git: Version Control plugin [Installiert]
                           mercurial: Version Control plugin
                           gnuplot: Insert Gnuplot plugin
                           ditaa: Insert Ditaa plugin
                           graphviz: Insert Diagram plugin [Installiert]
                           xdot: Link Map plugin [Installiert]
                           gtkspell3: Spell Checker plugin [Installiert]
                           r: Insert GNU R Plot plugin
                           scrot: Insert Screenshot plugin [Installiert]
                           lilypond: Insert Score plugin
                           gtksourceview3: Source View plugin [Installiert]
                           texlive-bin: Insert Equation plugin
Benötigt von             : Nichts
Optional für             : Nichts
In Konflikt mit          : Nichts
Ersetzt                  : Nichts
Installationsgröße       : 7,22 MiB
Packer                   : Felix Yan <felixonmars@archlinux.org>
Erstellt am              : Mo 04 Nov 2019 07:34:57 CET
Installiert am           : Do 14 Nov 2019 18:17:44 CET
Installationsgrund       : Ausdrücklich installiert
Installations-Skript     : Nein
Verifiziert durch        : Signatur

Hilft dir das?

The Hit-Man
05.12.2019 16:47:55

mhmmm, seit dem lezten update scheint mir auch was zu fehlen. zim kann ich jetzt nicht mehr aufrufen. wird mit diesem fehler beendet.

[u0@LenovoW520 ~]$ zim
Traceback (most recent call last):
  File "/usr/bin/zim", line 40, in <module>
    import zim.main
  File "/usr/lib/python3.8/site-packages/zim/main/__init__.py", line 22, in <module>
    import zim.fs
  File "/usr/lib/python3.8/site-packages/zim/fs.py", line 27, in <module>
    from zim.signals import SignalEmitter, SIGNAL_AFTER
  File "/usr/lib/python3.8/site-packages/zim/signals.py", line 7, in <module>
    from gi.repository import GObject
ModuleNotFoundError: No module named 'gi'
ERROR: Could not find python module files in path:
/usr/bin /usr/lib/python38.zip /usr/lib/python3.8 /usr/lib/python3.8/lib-dynload /usr/lib/python3.8/site-packages

weiß jemand was ich da nachinstallieren sollte?

stefanhusmann
04.12.2019 17:40:12

Ich vermute mal, das in den Zeitraum die Aktualisierung von python von 3.7 auf 3.8 stattfand. Da die Versionsnummer in den Pfaden der Python-Pakete vorkommt, zog dies eine Aktualisierung quasi aller Python-Pakete in den Repos nach sich.

Dirk
03.12.2019 14:49:18
aliluja schrieb:

Warum gibt es eigentlich 360 Updates innerhalb von 2 Wochen  bei pacman -Suy?

Weil in dem Zeitraum 360 Pakete aktualisiert wurden.

aliluja
03.12.2019 14:05:45

Warum gibt es eigentlich 360 Updates innerhalb von 2 Wochen  bei pacman -Suy?
{code}
( 18/359) upgrading pciutils   
( 19/359) upgrading psmisc   
...
(357/359) upgrading xf86-video-intel
(358/359) upgrading xorg-server-common
(359/359) upgrading xorg-server
{code}

aliluja
03.12.2019 14:02:23

Wenn ich versuche mit pacman das Paket pygobject2-devel zu deinstallieren (pacman -R pyobject2-devel) dann komme ich zu folgender Abhängigkeitskette:
pacman -R pygobject2-devel  python2-gobject2 pygtk gimp

Danach spielte pacman -Suy alle 360 ausstehende Updates ein

Gimp mit seinen Abhängigkeiten pygtk-2.24.0-8  python2-gobject2-2.28.7-4  installieret mit
pacman -S gimp

und alles gut ...

aliluja
03.12.2019 13:18:56

danke für Eure schnellen Antworten. Ich muss danach graben, wo und wie diese python library auf mein System kam.

Fußzeile des Forums

Powered by FluxBB